1. Insights
swonkie.dev
  • Introduction
  • 🆕 MCP Server
  • Changelog
  • Quick Start
  • Social Networks
    • Instagram v2
    • Google My Business
    • YouTube
    • X (Twitter)
    • Threads
    • Instagram
    • LinkedIn
    • TikTok
    • Facebook
  • ✨ Andie
    • Generate an Image
      POST
  • Search
    • Search Profiles
      GET
  • Profiles
    • My Profiles
      GET
    • Competitors
      GET
  • Competitors
    • Add Competitor
      POST
    • Delete Competitor
      DELETE
  • Insights
    • Getting Started
    • My Profile Insights Metrics
      GET
    • My Profile Insights
      GET
    • My Profile Insights Posts
      GET
    • Competitor Insights Metrics
      GET
    • Competitor Insights
      GET
    • Competitor Insights Posts
      GET
  • Posts
    • Getting Started
    • Limits by Social Network
    • List Posts
    • Get a Post
    • Create a Post
    • Update a Post
    • Validate a Post
    • Delete a Post
    • Change Post Stage
  • Labels
    • Getting Started
    • List Labels
    • Create a Label
  • Media
    • Get a Media
    • Create a Media
    • Upload File to Media
    • Confirm Uploaded Media
    • Delete a Media
    • Create a Media from URL
  • Examples
    • Publish
Back to Home
Back to Home
Login
  1. Insights

My Profile Insights Metrics

GET
/profile/insights/metrics

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.swonkie.dev/v2/profile/insights/metrics?net=facebook&insightType=daily&search=engagements&skip=0&take=50' \
--header 'X-API-ID: ' \
--header 'X-API-KEY: '
Response Response Example
{
    "hasMore": true,
    "items": [
        {
            "code": "fb-daily-page-fans",
            "type": "NUMBER",
            "insightType": "daily"
        }
    ],
    "total": 28,
    "notes": {
        "metricsDeprecated": {
            "message": "string",
            "metrics": [
                {
                    "metric": "string",
                    "deprecatedAt": "2019-08-24T14:15:22.123Z",
                    "deprecationArticle": "http://example.com"
                }
            ]
        },
        "futureDeprecatedMetrics": {
            "message": "string",
            "metrics": [
                {
                    "metric": "string",
                    "deprecatedAt": "2019-08-24T14:15:22.123Z",
                    "deprecationArticle": "http://example.com"
                }
            ]
        }
    }
}
Modified at 2026-06-19 17:53:28
Previous
Getting Started
Next
My Profile Insights
Built with